Last Comment Bug 859125 - Clean up confvars.sh and configure.in
: Clean up confvars.sh and configure.in
Status: RESOLVED FIXED
:
Product: MailNews Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Thunderbird 23.0
Assigned To: neil@parkwaycc.co.uk
:
:
Mentors:
Depends on: 846540 877132
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-07 12:02 PDT by Joshua Cranmer [:jcranmer]
Modified: 2013-05-29 04:52 PDT (History)
11 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
WIP (6.72 KB, patch)
2013-04-23 05:07 PDT, neil@parkwaycc.co.uk
standard8: review+
Pidgeot18: feedback+
Details | Diff | Splinter Review

Description Joshua Cranmer [:jcranmer] 2013-04-07 12:02:22 PDT
+++ This bug was initially created as a clone of Bug #846540 +++

@@ +92,5 @@
> +AC_SUBST(LDAP_CFLAGS)
> +AC_SUBST(LDAP_LIBS)
> +
> +# Rerun the confvars, since we need to add to our components list.
> +. "${srcdir}/${MOZ_BUILD_APP}/confvars.sh"

I'd rather move to here, the stuff we *need* to do after these magic lines run from confvars.sh. Now that we have the app-specific configure.in so that we can avoid the re-run of confvars.sh (re-entrancy makes for poor bed fellows there)
Comment 1 neil@parkwaycc.co.uk 2013-04-23 05:07:39 PDT
Created attachment 740760 [details] [diff] [review]
WIP

This is the minimum necessary to get external builds working. Please let me know if there is any other cleanup that you were thinking of that I can include.
Comment 2 neil@parkwaycc.co.uk 2013-04-23 05:09:06 PDT
I mean external API, of course.

The problem with the current code is that the external API flag isn't set the first time confvars.sh runs, so the toolkit build always gets set up for internal components.
Comment 3 neil@parkwaycc.co.uk 2013-04-23 09:55:10 PDT
Comment on attachment 740760 [details] [diff] [review]
WIP

I couldn't find any useless use of AC_SUBST, so the patch remains unchanged.
Comment 4 Mark Banner (:standard8, afk until Dec) 2013-05-01 03:07:10 PDT
Comment on attachment 740760 [details] [diff] [review]
WIP

Looks good. r=Standard8.
Comment 5 neil@parkwaycc.co.uk 2013-05-01 16:00:05 PDT
Pushed comm-central changeset 50dcb67013a5.

Note You need to log in before you can comment on or make changes to this bug.